curl --request PATCH \
--url https://api.cartesia.ai/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"audio": {
"input": {
"keyterms": [
"<string>"
]
},
"output": {
"background_sound": {
"file_id": "<string>",
"volume": 1
},
"emotion": "<string>",
"pronunciation_dictionary_id": "<string>",
"speed": 1.05,
"voice_id": "<string>",
"volume": 1.25
}
},
"initial_message": "<string>",
"instructions": "<string>",
"language": {
"primary": "<string>"
},
"model": {
"id": "<string>",
"max_output_tokens": 2048,
"temperature": 0.5
},
"system_tools": {
"end_call": {
"description": "<string>"
},
"send_dtmf": {
"description": "<string>"
},
"transfer_to_number": {
"description": "<string>",
"transfers": [
{
"condition": "<string>",
"destination": {
"phone_number": "<string>",
"type": "phone"
}
}
]
}
},
"tools": [
{
"id": "<string>"
}
]
},
"description": "<string>",
"name": "<string>",
"version_description": "<string>"
}
'import requests
url = "https://api.cartesia.ai/v1/agents/{agent_id}"
payload = {
"config": {
"audio": {
"input": { "keyterms": ["<string>"] },
"output": {
"background_sound": {
"file_id": "<string>",
"volume": 1
},
"emotion": "<string>",
"pronunciation_dictionary_id": "<string>",
"speed": 1.05,
"voice_id": "<string>",
"volume": 1.25
}
},
"initial_message": "<string>",
"instructions": "<string>",
"language": { "primary": "<string>" },
"model": {
"id": "<string>",
"max_output_tokens": 2048,
"temperature": 0.5
},
"system_tools": {
"end_call": { "description": "<string>" },
"send_dtmf": { "description": "<string>" },
"transfer_to_number": {
"description": "<string>",
"transfers": [
{
"condition": "<string>",
"destination": {
"phone_number": "<string>",
"type": "phone"
}
}
]
}
},
"tools": [{ "id": "<string>" }]
},
"description": "<string>",
"name": "<string>",
"version_description": "<string>"
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Cartesia-Version': '<cartesia-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
config: {
audio: {
input: {keyterms: ['<string>']},
output: {
background_sound: {file_id: '<string>', volume: 1},
emotion: '<string>',
pronunciation_dictionary_id: '<string>',
speed: 1.05,
voice_id: '<string>',
volume: 1.25
}
},
initial_message: '<string>',
instructions: '<string>',
language: {primary: '<string>'},
model: {id: '<string>', max_output_tokens: 2048, temperature: 0.5},
system_tools: {
end_call: {description: '<string>'},
send_dtmf: {description: '<string>'},
transfer_to_number: {
description: '<string>',
transfers: [
{condition: '<string>', destination: {phone_number: '<string>', type: 'phone'}}
]
}
},
tools: [{id: '<string>'}]
},
description: '<string>',
name: '<string>',
version_description: '<string>'
})
};
fetch('https://api.cartesia.ai/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"audio": {
"input": {
"keyterms": [
"<string>"
],
"noise_suppression": "off"
},
"output": {
"background_sound": {
"file_id": "<string>",
"volume": 1
},
"emotion": "<string>",
"pronunciation_dictionary_id": "<string>",
"speed": 1.05,
"voice_id": "<string>",
"volume": 1.25
}
},
"initial_message": "<string>",
"instructions": "<string>",
"language": {
"primary": "<string>"
},
"model": {
"id": "gpt-5.4-mini",
"max_output_tokens": 2048,
"temperature": 0.5
},
"system_tools": {
"end_call": {
"description": "<string>",
"pre_tool_speech": "auto"
},
"send_dtmf": {
"description": "<string>",
"pre_tool_speech": "auto"
},
"transfer_to_number": {
"description": "<string>",
"pre_tool_speech": "auto",
"transfers": [
{
"condition": "<string>",
"destination": {
"phone_number": "<string>",
"type": "phone"
}
}
]
}
},
"tools": [
{
"id": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": "<string>"
}
}{
"message": "<string>",
"request_id": "<string>",
"title": "<string>",
"doc_url": "<string>",
"error_code": "<string>"
}Update Agent
Sparsely updates agent metadata or configuration. Configuration changes create a new immutable version.
Authorizations
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
Headers
API version header.
2026-08-14 "2026-08-14"
Path Parameters
Unique identifier for the agent.
1Body
Show child attributes
Show child attributes
Description of the agent.
Name shown for the agent. It does not need to be unique.
1 - 64Description to attach to the new configuration version. Allowed only when this request changes config.
Response
Update an agent
Complete configuration for the agent's model, language, audio, and tools.
Show child attributes
Show child attributes
An RFC 3339 / ISO 8601 date-time string with timezone (e.g. 2025-04-16T12:34:56.789Z).
Description of the agent.
Unique identifier for the agent.
1Name shown for the agent.
An RFC 3339 / ISO 8601 date-time string with timezone (e.g. 2025-04-16T12:34:56.789Z).
Show child attributes
Show child attributes
Was this page helpful?